Create text Custom Field

This request allows you to create a text Custom Field.

   Click here to learn more about this request

Custom fields are used by lenders to track information that's important to their business practices but isn't native to LoanPro: Note the following when using this request:

Custom fields can display several different types of information. This request creates a custom field that displays text.

Users create custom fields for entities such as Loans, Customers, and more. Once the field has been set up, it will be included as an option for each newly created entity. When creating the entity a custom field is associated with, the user determines the value of the custom field.

Custom fields do not update themselves automatically. However, it's possible to set a default value for the field.

For an example of how custom fields work within the UI, take a look at our Custom Fields article.

Database

For information on associated companies and custom field database tables, see the following articles:

Database – Custom Field Entity (custom_field)

Database – Custom Field to Entity Map (custom_field__entity)

{
     "name": "Text Field",
     "type": "customfield.type.text",
     "entityType": "Entity.LoanSettings",
     "required": 0,
     "reportEnabled": 1,
     "creditReportEnabled": 0,
     "archiveEnable": 0,
     "searchable": 1,
     "maxLength": "250",
     "defaultValue": "",
     "autoCalculate": "customfield.autoCalculate.none",
     "active": 1
}
Body Params
string
required
Defaults to Text Field

This is the name of the custom field.
> This field must be unique.
> Only text and numbers are valid here. Using any symbols will result in a 409 response.

string
enum
required
Defaults to customfield.type.text

This determines the type of the custom field. For text custom fields, this value is set as customfield.type.text.

Allowed:
string
enum
required
Defaults to Entity.LoanSettings

This is the type of the entity that the custom field will be used for.

int32
required
Defaults to 0

This determines whether the custom field is required when creating the entity it's associated with.

int32
required
Defaults to 1

This determines whether the custom field will can be displayed as a column in either the loan or customer manager.

int32
required
Defaults to 0

This determines whether this custom field will be added to exported credit reporting data.

int32
required
Defaults to 0

This determines whether the custom field will be included in the loan status archive.

int32
required
Defaults to 1

This determines whether the value in this custom field can be searched for in the customer manager or loan manager.

string
required

This determines the max amount of characters that will be allowed in the field.

string

This determines what the text in this custom field will default to.

string
enum
required
Defaults to customfield.autoCalculate.none

This determines the calculation used for the custom field value.
> For text custom fields, this is set to customField.autoCalculate.none.

Allowed:
int32
required
Defaults to 1

This determines whether the custom field is active.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json